Search Unity

  1. Are you interested in providing feedback directly to Unity teams? Sign up to become a member of Unity Pulse, our new product feedback and research community.
    Dismiss Notice

Tool for better errors? Unable to convert classes into dex format.

Discussion in 'Editor & General Support' started by ev3d, Nov 21, 2017.

  1. ev3d

    ev3d

    Joined:
    Apr 19, 2013
    Posts:
    327
    Why is there not a tool or something that will fix this error (or at least tell you what is ACTUALLY wrong)? is there? It's always a conflict of android plugins but why is there not a way to scan for these and tell us that a problem exists other than this cryptic and as far as i know, completely useless error...
     
  2. ev3d

    ev3d

    Joined:
    Apr 19, 2013
    Posts:
    327
    Now i am getting an error about merging manifests...

    /Users/Shared/KABloom/EV3/SourceCode/Unity Source/_Current/EV3 2017.2/Temp/StagingArea/AndroidManifest-main.xml:24:9-31 Error:
    Attribute meta-data#android.support.VERSION@value value=(25.3.1) from AndroidManifest.xml:24:9-31
    is also present at AndroidManifest.xml:27:9-38 value=(26.0.0-alpha1).
    Suggestion: add 'tools:replace="android:value"' to <meta-data> element at AndroidManifest-main.xml:22:5-24:34 to override.​

    Do the unity staff know that their error message says to edit a file in the /temp folder of the project?
     
  3. ev3d

    ev3d

    Joined:
    Apr 19, 2013
    Posts:
    327
    hello? anyone here :)
     
unityunity